import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { CentralExchange } from "./central-exchange.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class CentralExchangeService extends TypeOrmCrudService<CentralExchange> {
    readonly repo: Repository<CentralExchange>;
    private entity;
    private relations;
    private recursiveRelations;
    constructor(repo: Repository<CentralExchange>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchange>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchange[]>;
    createOneBy(params: DeepPartial<CentralExchange>, manager?: EntityManager): Promise<CentralExchange>;
    createAllBy(params: DeepPartial<CentralExchange>[], manager?: EntityManager): Promise<CentralExchange[]>;
    createAllIfNotExistBy(params: DeepPartial<CentralExchange>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<CentralExchange>, set: {
        [K in keyof CentralExchange]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
