import { NFTokenItemPrice } from "../nf-token-item-price/nf-token-item-price.entity";
import { BaseEntity } from "typeorm";
import { NFToken } from "../nf-token/nf-token.entity";
declare const NFTokenItem_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof BaseEntity;
export declare class NFTokenItem extends NFTokenItem_base {
    nfToken: NFToken;
    tokenId: string;
    tokenUri: string;
    supply: string;
    metadata: string;
    price: NFTokenItemPrice[];
    static relations: string[];
    static recursiveRelations: string[];
}
export {};
